/* eslint-disable import/no-anonymous-default-export */
import { NextRequest, NextResponse } from "next/server";
// code 控制返回的类型

export default (data, code) => {
  if (!code) {
    return NextResponse.json(
      {
        code: 0,
        data,
        success: true,
      },
      { status: 200 }
    );
  } else if (code === "err") {
    return NextResponse.json(
      {
        code: -1,
        data: data,
        msg: data?.msg ?? "服务器内部错误",
        success: false,
      },
      { status: 500 }
    );
  } else {
    return NextResponse.json(
      {
        code: 0,
        data,
        msg: code,
        success: true,
      },
      { status: 200 }
    );
  }
};
